#include <iostream>

int main()
{
	int n;
	std::cin >> n;

	int* niz = (int*)malloc(2 * n * sizeof(int));

	for (int i = 0; i < 2 * n; i++)
	{
		if (i % 2 != 0)
			niz[i] = (2 * n) - (i / 2);
		else
			niz[i] = (i / 2) + 1;
	}

	for (int i = 0; i < n; i++)
		std::cout << niz[i] << " ";

	std::cout << "\n";

	for (int i = n; i < 2 * n; i++)
		std::cout << niz[i] << " ";
}